import { axios } from '@/utils/request'

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function startOutStoreForm (parameter) {
  return axios({
    url: '/activiti/outStore/form/start',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 终止提交审批
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function stopOutStoreFormForAudit (parameter) {
  return axios({
    url: '/activiti/outStore/form/stop',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 审批开始
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function auditOutStoreFormForAudit (parameter) {
  return axios({
    url: '/activiti/outStore/form/audit',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 审批历史
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function historyOutStoreFormForAudit (parameter) {
  return axios({
    url: '/activiti/outStore/form/history/' + parameter.id,
    method: 'GET',
    data: parameter
  })
}

/**
 * update func 转签
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function changeOutStoreFormForAudit (parameter) {
  return axios({
    url: '/activiti/outStore/form/assign',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 签收
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function claimOutStoreFormForAudit (parameter) {
  return axios({
    url: '/activiti/outStore/form/claim',
    method: 'PUT',
    data: parameter
  })
}