import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getActivitiUserModelPage (parameter) {
  return axios({
    url: '/activiti/user-models/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addActivitiUserModel (parameter) {
  return axios({
    url: '/activiti/user-models',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateActivitiUserModel (parameter) {
  return axios({
    url: '/activiti/user-models/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateActivitiUserModelBatch (parameter) {
  return axios({
    url: '/activiti/user-models/model/modify/' + parameter.modelId,
    method: 'PUT',
    data: parameter.list
  })
}

/**
     * update func
     * parameter: { }
     * @param parameter
     * @returns {*}
     */
export function updateType (parameter) {
  return axios({
    url: '/type/user-models/type/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchActivitiUserModel (parameter) {
  return axios({
    url: '/activiti/user-models/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchActivitiUserModelByModelId (parameter) {
  return axios({
    url: '/activiti/user-models/model/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryActivitiUserModel (parameter) {
  return axios({
    url: '/activiti/user-models?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteActivitiUserModels (parameter) {
  return axios({
    url: '/activiti/user-models',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteActivitiUserModel (parameter) {
  return axios({
    url: '/activiti/user-models/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportActivitiUserModel (parameter) {
  return axios({
    url: '/activiti/user-models/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
