import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getMeasureByLine (parameter) {
  return axios({
    url: '/big/screens/remote/measure/' + parameter.lineNum,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getDegreeByDayOrMonth (parameter) {
  return axios({
    url: '/big/screens/remote/degree/' + parameter.isDay + '?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * 维修类别统计
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getRepairCategory (parameter) {
  return axios({
    url: '/index/platForm/screen/repair/category' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * 统计数据
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getStatisticData (parameter) {
  return axios({
    url: '/index/platForm/screen/statistic/data' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * 统计厂区各车间维修数据和占比率
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getStatisticRepairNum (parameter) {
  return axios({
    url: '/index/platForm/screen/statistic/repairNum' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
