import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getFillGatherTaskPage (parameter) {
  return axios({
    url: '/fill/tasks/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}
/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks/fill/' + parameter.id,
    method: 'PUT',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function pauseFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks/pause/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function dispatchFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks/dispatch/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function VerifyFillGatherTask (parameter) {
  return axios({
    url: 'fill/tasks/verify/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function overtimeFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks/overtime/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getFillGatherTask (parameter) {
  return axios({
    url: '/fill/task-details/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getFillUpdates (parameter) {
  return axios({
    url: '/fill/updates/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteFillGatherTasks (parameter) {
  return axios({
    url: '/fill/tasks',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportFillGatherTask (parameter) {
  return axios({
    url: '/fill/tasks/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateName (parameter) {
  return axios({
    url: '/fill/tasks/update/name',
    method: 'PUT',
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatetasks (parameter) {
  return axios({
    url: '/fill/tasks/update',
    method: 'POST',
    data: parameter
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function getUser (parameter) {
  return axios({
    url: '/upms/users?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
