import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getFillUpdateRecordPage(parameter) {
  return axios({
    url: '/fill/updates/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addFillUpdateRecord(parameter) {
  return axios({
    url: '/fill/updates',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateFillUpdateRecord(parameter) {
  return axios({
    url: '/fill/updates/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}


/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchFillUpdateRecord(parameter) {
  return axios({
    url: '/fill/updates/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryFillUpdateRecord(parameter) {
  return axios({
    url: '/fill/updates?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteFillUpdateRecords(parameter) {
  return axios({
    url: '/fill/updates',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteFillUpdateRecord(parameter) {
  return axios({
    url: '/fill/updates/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}


/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportFillUpdateRecord(parameter) {
  return axios({
    url: '/fill/updates/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
