import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getHiddenDangerPage (parameter) {
  return axios({
    url: '/hidden/dangers/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addHiddenDanger (parameter) {
  return axios({
    url: '/hidden/dangers',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateHiddenDanger (parameter) {
  return axios({
    url: '/hidden/dangers/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchHiddenDanger (parameter) {
  return axios({
    url: '/hidden/dangers/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryHiddenDanger (parameter) {
  return axios({
    url: '/hidden/dangers?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteHiddenDangers (parameter) {
  return axios({
    url: '/hidden/dangers',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteHiddenDanger (parameter) {
  return axios({
    url: '/hidden/dangers/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportHiddenDanger (parameter) {
  return axios({
    url: '/hidden/dangers/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function getDangersUser (parameter) {
  return axios({
    url: '/hidden/dangers/users/' + parameter,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function transferRepair (parameter) {
  return axios({
    url: '/hidden/dangers/transfer/repair	',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}
