import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateInfluxDB (parameter) {
  return axios({
    url: '/influxDB/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateInfluxDBBatch (parameter) {
  return axios({
    url: '/influxDB/batch',
    method: 'PUT',
    data: parameter
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryInfluxDBHistory (parameter) {
  return axios({
    url: '/influxDB/select?' + stringify(parameter),
    method: 'get',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportInfluxDBHistory (parameter) {
  return axios({
    url: '/influxDB/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}