import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPreparationPage (parameter) {
  return axios({
    url: '/preparation/preparations/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addPreparation (parameter) {
  return axios({
    url: '/preparation/preparations',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePreparation (parameter) {
  return axios({
    url: '/preparation/preparations/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePreparationFee (parameter) {
  return axios({
    url: '/preparation/preparations/actual/fee/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchPreparation (parameter) {
  return axios({
    url: '/preparation/preparations/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPreparationNum () {
  return axios({
    url: '/preparation/preparations/repair/num',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryPreparation (parameter) {
  return axios({
    url: '/preparation/preparations?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getAllPreparationReport (parameter) {
  return axios({
    url: '/preparation/preparations/getAllPreparationReport?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPreparationPositionReport (parameter) {
  return axios({
    url: '/preparation/preparations/position/query?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPreparationReportGroupByStatus (parameter) {
  return axios({
    url: '/preparation/preparations/getPreparationReportGroupByStatus?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportAllPreparationReport (parameter) {
  return axios({
    url: '/preparation/preparations/getAllPreparationReport/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportAllPreparationPositionReport (parameter) {
  return axios({
    url: '/preparation/preparations/position/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportPreparationPositionDetailReport (parameter) {
  return axios({
    url: '/preparation/preparations/position/detail/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportPreparationReportGroupByStatus (parameter) {
  return axios({
    url: '/preparation/preparations/getPreparationReportGroupByStatus/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportPreparationReportGroupByStatusDetail (parameter) {
  return axios({
    url: '/preparation/preparations/getPreparationReportGroupByStatus/detail/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportPreparationDetailReport (parameter) {
  return axios({
    url: '/preparation/preparations/getPreparationDetailReport/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePreparations (parameter) {
  return axios({
    url: '/preparation/preparations',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePreparation (parameter) {
  return axios({
    url: '/preparation/preparations/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportPreparation (parameter) {
  return axios({
    url: '/preparation/preparations/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}

export function dispatchModelByDTO (parameter) {
  return axios({
    url: '/preparation/preparations/dispatch/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function finish (parameter) {
  return axios({
    url: '/preparation/preparations/finish/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

export function finishFee (parameter) {
  return axios({
    url: '/preparation/preparations/finish/fee/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

export function handleVerifyByDTO (parameter) {
  return axios({
    url: '/preparation/preparations/verify/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
