import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getInventoryTree (parameter) {
  return axios({
    url: '/inventory/code/tree?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
export function fetchInventory (parameter) {
  return axios({
    url: `/inventory/code/${parameter.id}`,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
export function addInventory (parameter) {
  return axios({
    url: `/inventory/code`,
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}
export function updateInventory (parameter) {
  return axios({
    url: `/inventory/code/${parameter.id}`,
    method: 'PUT',
    data: parameter
  })
}
export function deleteInventory (parameter) {
  return axios({
    url: `/inventory/code/${parameter.id}`,
    method: 'DELETE',
    data: parameter
  })
}
