import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchaseOrderPage (parameter) {
  return axios({
    url: '/purchase/purchase-orders/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchaseOrderPage2 (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getpurchaseRecord (parameter) {
  return axios({
    url: '/longyanpurchaseorder/detail/get/record?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchaseReport (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/getPurchaseReport?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPieByCondition (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/getPieByCondition?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchaseReportQuery (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/byType/time/query?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchaseFifityReportQuery (parameter) {
  return axios({
    url: '/longyanpurchaseorder/detail/charts/fifity?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addPurchaseOrder (parameter) {
  return axios({
    url: '/purchase/purchase-orders',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}
/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addPurchaseOrder2 (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePurchaseOrder (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePurchaseOrder2 (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/' + parameter.id,
    method: 'POST',
    data: parameter
  })
}
/**
 * get func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getOrderSuppliers (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id + '/suppliers',
    method: 'GET',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function finish (id) {
  return axios({
    url: '/purchase/purchase-orders/' + id + '/finish',
    method: 'PUT'
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function confirmUpdateQuantityForInStore (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id + '/quantity/error',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function enquiryPurchaseOrder (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id + '/enquiry',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function enquiryPurchaseOrderConfirm (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id + '/enquiry-confirm',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function purchaseOrderMoneyConfirm (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id + '/money-confirm',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePurchaseOrderInfo (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id + '/info',
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchPurchaseOrder (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryPurchaseOrder (parameter) {
  return axios({
    url: '/purchase/purchase-orders?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchaseOrderInfo (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/get/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function pushPurchaseOrder (parameter) {
  return axios({
    url: '/yongyou/push/purchaseOrder/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchaseOrders (parameter) {
  return axios({
    url: '/purchase/purchase-orders',
    method: 'DELETE',
    data: parameter
  })
}
/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchaseOrder2 (parameter) {
  return axios({
    url: '/yongyou/delete/purcahseOrder/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}
/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function wastePurchaseOrder (parameter) {
  return axios({
    url: '/yongyou/delete/purcahseOrder/' + parameter.id + '/' + parameter.status,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchaseOrder (parameter) {
  return axios({
    url: '/purchase/purchase-orders/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportPurchaseOrder (parameter) {
  return axios({
    url: '/purchase/purchase-orders/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportOrder (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/byType/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportOrderDetail (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/byType/detail/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportOrderByTime (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/byType/time/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportOrderDetailByTime (parameter) {
  return axios({
    url: '/longyanpurchaseorder/order/byType/time/detail/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function getPurchaseOrderList (parameter) {
  return axios({
    url: '/yongyou/purchaseOrder/list?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function getPurchasePrice (parameter) {
  return axios({
    url: '/yongyou/purchase/price?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
