import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getRepairApplicationFormPage (parameter) {
  return axios({
    url: '/repair/application-forms/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function getRepairApplicationFormPoolPage (parameter) {
  return axios({
    url: '/repair/application-forms/pool/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addRepairApplicationForm (parameter) {
  return axios({
    url: '/repair/application-forms',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}
/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function againRepairApplicationForm (parameter) {
  return axios({
    url: '/repair/application-forms/again',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function saveFormByApplication (parameter) {
  return axios({
    url: '/repair/application-forms/' + parameter.id,
    method: 'POST',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateRepairApplicationForm (parameter) {
  return axios({
    url: '/repair/application-forms/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchRepairApplicationForm (parameter) {
  return axios({
    url: '/repair/application-forms/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getCalendarNotice (parameter) {
  return axios({
    url: '/repair/application-forms/login/notice',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getDispatchUser (parameter) {
  return axios({
    url: '/upms/user-depts/repair-manager',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbPositions (parameter) {
  return axios({
    url: '/sb/positions/longYan?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbPositions2 (parameter) {
  return axios({
    url: '/sb/positions/longYan2?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryRepairApplicationForm (parameter) {
  return axios({
    url: '/repair/application-forms?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteRepairApplicationForms (parameter) {
  return axios({
    url: '/repair/application-forms',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteRepairApplicationForm (parameter) {
  return axios({
    url: '/repair/application-forms/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportRepairApplicationForm (parameter) {
  return axios({
    url: '/repair/application-forms/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function joinHoliday (parameter) {
  return axios({
    url: `/repair/application-forms/join/${parameter}`,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function cancelHoliday (parameter) {
  return axios({
    url: `/repair/application-forms/cancel/${parameter}`,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function changeApplicationForm (parameter) {
  return axios({
    url: '/repair/application-forms/change/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function changeEditForm (parameter) {
  return axios({
    url: '/repair/application-forms/edit/error/info',
    method: 'PUT',
    data: parameter
  })
}
/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function finish (parameter) {
  return axios({
    url: '/repair/application-forms/finish/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function changeFieldTemplateData (parameter) {
  return axios({
    url: '/customize/fieldTemplateData/ticket/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * examine func 提交审核
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function examine (parameter) {
  return axios({
    url: '/repair/application-forms/examine/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * examine func 审核同意
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function examineOk (result, parameter) {
  return axios({
    url: '/repair/application-forms/examined/' + parameter.id + '/' + result,
    method: 'PUT',
    data: parameter
  })
}
/**
 * examine func 加入日历图
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function pushCalendar (parameter) {
  return axios({
    url: '/repair/application-forms/addCalendar/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * examine func 查看日历图
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getCalendar (parameter) {
  return axios({
    url: '/repair/application-forms/tuiCalendar?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * examine func 审核同意
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function repairVerify (parameter) {
  return axios({
    url: '/repair/application-forms/repair/verify',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function dispatchModelByDTO (parameter) {
  return axios({
    url: '/repair/application-forms/dispatch/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function transferApplyByDTO (parameter) {
  return axios({
    url: '/repair/application-forms/transfer',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function refusedByDTO (parameter) {
  return axios({
    url: '/repair/application-forms/refused/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function receive (parameter) {
  return axios({
    url: '/repair/application-forms/deal/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function nonPlanToPlan (parameter) {
  return axios({
    url: '/repair/application-forms/nonPlan/toPlan/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * finish func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function closeRepair (parameter) {
  return axios({
    url: '/repair/application-forms/close/repair',
    method: 'PUT',
    data: parameter
  })
}

/**
 * 工程师审核报修-通过
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function approve (parameter) {
  return axios({
    url: '/repair/application-forms/approve/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

export function receiveRepair (parameter) {
  return axios({
    url: '/repair/application-forms/receive/repair',
    method: 'PUT',
    data: parameter
  })
}

export function reportRepair (parameter) {
  return axios({
    url: '/repair/application-forms/report/repair',
    method: 'PUT',
    data: parameter
  })
}

/**
 * 工程师审核报修-拒绝
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function returnRepair (parameter) {
  return axios({
    url: '/repair/application-forms/returnRepair/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 *  区域负责人审核报修-通过
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function verifyPassRepair (parameter) {
  return axios({
    url: '/repair/application-forms/verify/mm/pass/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 *  区域负责人审核报修-拒绝
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function verifyRefusedRepair (parameter) {
  return axios({
    url: '/repair/application-forms/verify/mm/refused/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 *  生产审核报修-通过
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function verifyProduceRepair (parameter) {
  return axios({
    url: '/repair/application-forms/verify/produce/pass/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 *  生产审核报修-拒绝
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function verifyProduceRefusedRepair (parameter) {
  return axios({
    url: '/repair/application-forms/verify/produce/refused/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 *  被生产拒绝的单子-再次发起审核
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function applyVerifyRepair (parameter) {
  return axios({
    url: '/repair/application-forms/apply/verify/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 *  维修挂起解除
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function recoverRepair (parameter) {
  return axios({
    url: '/repair/application-forms/recover/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * 申请转大修
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function applyBigRepair (parameter) {
  return axios({
    url: '/repair/application-forms/apply/bigRepair/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * 生产审核人
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getProducerUser (parameter) {
  return axios({
    url: '/upms/user-depts/producer',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * 申请转大修
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function checkBigRepair (parameter) {
  return axios({
    url: '/repair/application-forms/verify/bigRepair/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
export function repairCancel (parameter) {
  return axios({
    url: '/repair/application-forms/repair/delete/' + parameter.id,
    method: 'PUT'
  })
}
/**
 * 根据设备id获取维修专业
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function receiveProfessor (parameter) {
  return axios({
    url: '/sb/infos/gain/repair/professor/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
