import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getRepairSchemePage (parameter) {
  return axios({
    url: '/repair/repairs/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addRepairScheme (parameter) {
  return axios({
    url: '/repair/repairs',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateRepairScheme (parameter) {
  return axios({
    url: '/repair/repairs/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addRepairSchemes (parameter) {
  return axios({
    url: `/repair/repairs/${parameter.id}/${parameter.repairId}`,
    method: 'PUT',
    data: parameter
  })
}
/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchRepairScheme (parameter) {
  return axios({
    url: '/repair/repairs/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getRepairType () {
  return axios({
    url: '/repair/error-types/tree',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryRepairScheme (parameter) {
  return axios({
    url: '/repair/repairs?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteRepairSchemes (parameter) {
  return axios({
    url: '/repair/repairs',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteRepairScheme (parameter) {
  return axios({
    url: '/repair/repairs/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportRepairScheme (parameter) {
  return axios({
    url: '/repair/repairs/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function getRepairSpare (parameter) {
  return axios({
    url: '/store/out-store-forms/repairFormId/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
