import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbChangeLogPage (parameter) {
  return axios({
    url: '/sb/sb-changes/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbChangeLog (parameter) {
  return axios({
    url: '/sb/change-logs/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSbChangeLog (parameter) {
  return axios({
    url: '/sb/change-logs',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbChangeLog (parameter) {
  return axios({
    url: '/sb/change-logs/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchSbChangeLog (parameter) {
  return axios({
    url: '/sb/change-logs/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function querySbChangeLog (parameter) {
  return axios({
    url: '/sb/change-logs?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbChangeLogs (parameter) {
  return axios({
    url: '/sb/change-logs',
    method: 'DELETE',
    data: parameter
  })
}
/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbChangeLog (parameter) {
  return axios({
    url: '/sb/change-logs/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportSbChangeLog (parameter) {
  return axios({
    url: '/sb/change-logs/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
