import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbInfoPage (parameter) {
  return axios({
    url: '/sb/info/measures/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbInfoPageStandard (parameter) {
  return axios({
    url: '/sb/info/measures/page/standard?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getMeasureWarn (parameter) {
  return axios({
    url: '/sb/info/measures/warn/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * 获取子设备的数量
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryChildNumSbInfo (parameter) {
  return axios({
    url: '/sb/info/measures/child/num?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryDeptSbInfosByUserPage (parameter) {
  return axios({
    url: '/sb/info/measures/dept-sb-infos/user/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryPageByUserIdentity (parameter) {
  return axios({
    url: '/sb/info/measures/user/identity?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryPageByFilter (parameter) {
  return axios({
    url: '/sb/info/measures/filter/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryDeptSbInfosByUser (parameter) {
  return axios({
    url: '/sb/info/measures/dept-sb-infos/user?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSbInfo (parameter) {
  return axios({
    url: '/sb/info/measures',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function copySbInfo (parameter) {
  return axios({
    url: '/sb/info/measures/copy',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbInfo (parameter) {
  return axios({
    url: '/sb/info/measures/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbInfoStatus (parameter) {
  return axios({
    url: '/sb/info/measures/status' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbInfoChildBatch (parameter) {
  return axios({
    url: '/sb/info/measures/child/batch',
    method: 'PUT',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbInfoChildCancel (parameter) {
  return axios({
    url: '/sb/info/measures/cancel/' + parameter.id,
    method: 'PUT',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchSbInfo (parameter) {
  return axios({
    url: '/sb/info/measures/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchSbInfos (parameter) {
  return axios({
    url: '/sb/info/measures/code/batch',
    method: 'POST',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function querySbInfo (parameter) {
  return axios({
    url: '/sb/info/measures?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbInfos (parameter) {
  return axios({
    url: '/sb/info/measures',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbInfo (parameter) {
  return axios({
    url: '/sb/info/measures/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportSbInfo (parameter) {
  return axios({
    url: '/sb/info/measures/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportSbInfoMeasure (parameter) {
  return axios({
    url: '/sb/info/measures/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
  * @returns {*}
 */
export function exportSbInfoMeasureTwo (parameter) {
  return axios({
    url: '/sb/info/measures/export/measure?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbInfoTree (parameter) {
  return axios({
    url: '/sb/info/measures/tree?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPartInfoPositionPage (parameter) {
  return axios({
    url: '/sb/info/measures/position/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function importSbInfo (parameter) {
  return axios({
    url: '/sb/info/measures/import',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbInfoScrap (parameter) {
  return axios({
    url: '/sb/info/measures/scrap/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 直接提交审批
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbInfoScrapForAudit (parameter) {
  return axios({
    url: '/sb/info/measures/audit/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func 审批
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function auditProcess (parameter) {
  return axios({
    url: '/sb/info/measures/auditProcess/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
