import Vue from 'vue'

const DictCache = {
  BASE_DATA_CACHE: 'BASE_DATA_CACHE',
  DICT_CHILDREN: 'dict:children',
  DICT_LABEL_BY_VALUE: 'dict:value',
  DICT_LABEL_BY_LABEL: 'dict:label',
  DICT_VALUE_BY_CODE: 'dict:code',
  DICT_OBJ_BY_VALUE: 'dict:value:obj',
  DICT_CHILDREN_ALL: 'dict:children-all',
  CONFIG_OPEN_VALUE: 'config:open:value',
  baseGet (key) {
    return Vue.ls.get(this.BASE_DATA_CACHE)[key]
  },
  getConfigValueByType (type) {
    return this.baseGet(this.CONFIG_OPEN_VALUE)[type]
  },
  getChildren (type, value, childValue) {
    const children = this.baseGet(this.DICT_CHILDREN)[type]
    const child = children[value]
    return child[childValue]
  },
  getChildrenMapByType (type, value) {
    const children = this.baseGet(this.DICT_CHILDREN)[type]
    return children[value]
  },
  getLabelByValue (type, value) {
    const child = this.baseGet(this.DICT_LABEL_BY_VALUE)[type]
    return child[value]
  },
  getObjByValue (type, value) {
    const child = this.baseGet(this.DICT_OBJ_BY_VALUE)[type]
    return child[value]
  },
  getLabelByValueMapByType (type) {
    return this.baseGet(this.DICT_LABEL_BY_VALUE)[type]
  },
  getValueByLabel (type, label) {
    const child = this.baseGet(this.DICT_LABEL_BY_LABEL)[type]
    return child[label]
  },
  getValueByLabelMapByType (type) {
    return this.baseGet(this.DICT_LABEL_BY_LABEL)[type]
  },
  getValueByCode (type, code) {
    const child = this.baseGet(this.DICT_VALUE_BY_CODE)[type]
    return child[code]
  },
  getValueByCodeMapByType (type) {
    return this.baseGet(this.DICT_VALUE_BY_CODE, type)
  },
  getChildrenList (type) {
    return this.baseGet(this.DICT_CHILDREN_ALL)[type]
  },
  whetherLabel (b) {
    if (b) {
      return DictCache.TYPE.WHETHER[1]
    } else {
      return DictCache.TYPE.WHETHER[0]
    }
  },
  whetherColor (b) {
    if (b) {
      return DictCache.COLOR.WHETHER[1]
    } else {
      return DictCache.COLOR.WHETHER[0]
    }
  }

}
DictCache.TYPE = {
  REPAIR_STRATEGY_MODEL: 'REPAIR_STRATEGY_MODEL', // 报修模式选择
  ACTIVITI_USER_MODEL_TYPE: 'ACTIVITI_USER_MODEL_TYPE', // 审批业务用户模型
  SB_QR_CODE_LABEL_WIDTH: 'SB_QR_CODE_LABEL_WIDTH', // 设备标签宽度
  SB_QR_CODE_LABEL_CONTENT_WIDTH: 'SB_QR_CODE_LABEL_CONTENT_WIDTH', // 设备标签表格宽度
  SB_QR_CODE_LABEL_CONTENT_HEIGHT: 'SB_QR_CODE_LABEL_CONTENT_HEIGHT', // 设备标签表格高度
  SB_QR_CODE_LABEL_IMG_WIDTH: 'SB_QR_CODE_LABEL_IMG_WIDTH', // 设备标签二维码宽度
  SPARE_QR_CODE_LABEL_WIDTH: 'SPARE_QR_CODE_LABEL_WIDTH', // 备件标签宽度
  SPARE_QR_CODE_LABEL_CONTENT_WIDTH: 'SPARE_QR_CODE_LABEL_CONTENT_WIDTH', // 备件标签表格宽度
  SPARE_QR_CODE_LABEL_CONTENT_HEIGHT: 'SPARE_QR_CODE_LABEL_CONTENT_HEIGHT', // 备件标签表格高度
  SPARE_QR_CODE_LABEL_IMG_WIDTH: 'SPARE_QR_CODE_LABEL_IMG_WIDTH', // 备件标签二维码宽度
  FILE_DOWNLOAD_TEMPLATE: 'FILE_DOWNLOAD_TEMPLATE', // 模板文件
  DELFLAG: 'DELFLAG', // 删除标志
  SBTYPE_TYPE: 'SBTYPE_TYPE', // 设备类型
  WORKPLACE_TYPE: 'WORKPLACE_TYPE', // 工作台类型
  SB_INFO_STOP_DETAIL_TYPE: 'SB_INFO_STOP_DETAIL_TYPE', // 设备停机类型表：1停机、2启用
  SB_INFO_STOP_DETAIL_STATUS: 'SB_INFO_STOP_DETAIL_STATUS', // 设备停机状态表：1未审核，2已审核（变更设备状态）
  FIRM_PRODUCER_LEVEL: 'FIRM_PRODUCER_LEVEL', // 供应商等级
  FIRM_PRODUCER_TYPE: 'FIRM_PRODUCER_TYPE', // 供应商类型
  SBPOSITION_TYPE: 'SBPOSITION_TYPE', // 位置类型,
  SBINFO_DEPRECIATIONTYPE: 'SBINFO_DEPRECIATIONTYPE', // 折旧方式
  SBINFO_LEVEL: 'SBINFO_LEVEL', // 设备等级
  FILL_GATHER_TASK_LEVEL: 'FILL_GATHER_TASK_LEVEL', // 巡检任务等级
  RANLIAO_TYPE: 'RANLIAO_TYPE', // 燃料类别
  SB_COLOR: 'SB_COLOR', // 设备颜色
  SB_MEASURE_RESULT: 'SB_MEASURE_RESULT', // 检定结论
  SB_INFO_STATUS: 'SB_INFO_STATUS', // 设备状态
  SPARE_WARN_STATUS: 'SPARE_WARN_STATUS', // 备件库存不足预警状态
  STORE_SPARE_WARN_STATUS: 'STORE_SPARE_WARN_STATUS', // 仓库备件库存不足预警状态
  SB_MEASURE_STATUS: 'SB_MEASURE_STATUS', // 检定设备状态
  SBTYPE_SOURCETYPE: 'SBTYPE_SOURCETYPE', // 设备来源方式
  SBINFO_UNIT: 'SBINFO_UNIT', // 计量单位
  SB_USE_TYPE: 'SB_USE_TYPE', // 自定义类型
  SB_INFO_AUDIT_NODE: 'SB_INFO_AUDIT_NODE', // 设备报废节点
  SB_IS_CHILD: 'SB_IS_CHILD', // 自定义类型
  SB_IS_SHOW: 'SB_IS_SHOW', // 自定义类型
  REMOTE_LINE: 'REMOTE_LINE', // 所属线路
  SB_IS_FINANCING: 'SB_IS_FINANCING', // 是否固定资产
  PRODUCER_AREA: 'PRODUCER_AREA', // 产地
  PART_LEVEL: 'PART_LEVEL', // 部位等级
  PART_STATUS: 'PART_STATUS', // 部位状态
  SPARE_PART_INFO_LEVEL: 'SPARE_PART_INFO_LEVEL', // 备件等级
  SPARE_USE_TYPE: 'SPARE_USE_TYPE', // 备件使用用途
  SPARE_PART_USED_STATUS: 'SPARE_PART_USED_STATUS', // 备件使用状态
  PERIOD_TYPE: 'PERIOD_TYPE', // 周期类型
  CHECK_PLAN_TYPE: 'CHECK_PLAN_TYPE', // 计划类别
  DANGER_LEVEL: 'DANGER_LEVEL', // 危险等级
  JOB_STATUS: 'JOB_STATUS', // 任务状态
  OPERATE_OBJECT_TYPE: 'OPERATE_OBJECT_TYPE', // 复制类型
  STORE_LEVEL: 'STORE_LEVEL', // 仓库等級
  STORE_TYPE: 'STORE_TYPE', // 仓库位置类型
  IN_STORE_FORM_TYPE: 'IN_STORE_FORM_TYPE', // 入库类型
  IN_STORE_FORM_STATUS: 'IN_STORE_FORM_STATUS', // 入库状态
  SB_CHECK_FORM_TYPE: 'SB_CHECK_FORM_TYPE', // 验收类型
  SB_CHECK_GOOD_TYPE: 'SB_CHECK_GOOD_TYPE', // 验收物品类型：设备，备件，物资
  SB_CHECK_FORM_STATUS: 'SB_CHECK_FORM_STATUS', // 验收状态
  OUT_STORE_FORM_TYPE: 'OUT_STORE_FORM_TYPE', // 出库类型
  OUT_STORE_FORM_DEPT_CODE: 'OUT_STORE_FORM_DEPT_CODE', // 用友对应的部门code
  SBB: 'SBB', // 用友设备部下面对应的部门code
  DEPT_TYPE_LY: 'DEPT_TYPE_LY', // 龙岩思康新材料有限公司的部门code
  DEPT_TYPE_SD: 'DEPT_TYPE_SD', // 时代思康新材料有限公司的部门code
  SB_MEASURE_OTHER_TYPE: 'SB_MEASURE_OTHER_TYPE', // 操作类型
  FEE_FORM_TYPE: 'FEE_FORM_TYPE', // 成本归属
  OUT_STORE_FORM_STATUS: 'OUT_STORE_FORM_STATUS', // 出库状态
  SPARE_PICK_FORM_TYPE: 'SPARE_PICK_FORM_TYPE', // 领用类型，
  SPARE_PICK_FORM_STATUS: 'SPARE_PICK_FORM_STATUS', // 备件领用登记单状态，
  SPARE_BACK_FORM_TYPE: 'SPARE_BACK_FORM_TYPE', // 退货类型，
  SPARE_BACK_FORM_STATUS: 'SPARE_BACK_FORM_STATUS', // 退货登记单状态，
  SPARE_RECOVERY_FORM_TYPE: 'SPARE_RECOVERY_FORM_TYPE', // 回收类型，
  SPARE_RECOVERY_FORM_STATUS: 'SPARE_RECOVERY_FORM_STATUS', // 回收登记单状态，
  SPARE_RESTORE_FORM_TYPE: 'SPARE_RESTORE_FORM_TYPE', // 退库类型，
  SPARE_RESTORE_FORM_STATUS: 'SPARE_RESTORE_FORM_STATUS', // 退库登记单状态，
  REPAIR_APPLICATION_FORM_SOURCE: 'REPAIR_APPLICATION_FORM_SOURCE', // 报修来源
  REPAIR_APPLICATION_TYPE: 'REPAIR_APPLICATION_TYPE', // 工作类型
  REPAIR_APPLICATION_PROFESSOR: 'REPAIR_APPLICATION_PROFESSOR', // 检维修单位
  REPAIR_APPLICATION_FORM_CATEGORY: 'REPAIR_APPLICATION_FORM_CATEGORY', // 维修类别
  REPAIR_APPLICATION_FORM_LEVEL: 'REPAIR_APPLICATION_FORM_LEVEL', // 紧急等级
  REPAIR_APPLICATION_FORM_STATUS: 'REPAIR_APPLICATION_FORM_STATUS', // 报修状态
  REPAIR_PREPARATION_STATUS: 'REPAIR_PREPARATION_STATUS', // 报修状态
  REPAIR_REASON_STATUS: 'REPAIR_REASON_STATUS', // 分析措施状态
  REPAIR_REASON_TYPE: 'REPAIR_REASON_TYPE', // 分析措施类别
  REPAIR_QUESTION: 'REPAIR_QUESTION', // 故障描述
  YES_NO: 'YES_NO', // 是否
  TRUST_DEPT_TYPE: 'TRUST_DEPT_TYPE', // 委托单位
  LEVEL_TYPE: 'LEVEL_TYPE', // 工作优选权
  REPAIR_FORM_STATUS: 'REPAIR_FORM_STATUS', // 维修状态
  REPAIR_CHECK_STATUS: 'REPAIR_CHECK_STATUS', // 验收状态
  REPAIR_FEE_TYPE: 'REPAIR_FEE_TYPE', // 费用类别
  REPAIR_OUT_TYPE: 'REPAIR_OUT_TYPE', // 费用类别
  REPAIR_PROJECT_TYPE: 'REPAIR_PROJECT_TYPE', // 费用类别
  REPAIR_TECHNOLOGY_TYPE: 'REPAIR_TECHNOLOGY_TYPE', // 费用类别
  PURCHASE_STORE_FORM_STATUS: 'PURCHASE_STORE_FORM_STATUS', // 采购入库状态,
  REPAIR_DEPT_CATEGORY: 'REPAIR_DEPT_CATEGORY', // 维修部门集合
  REPAIR_FORM_TYPE: 'REPAIR_FORM_TYPE', // 报修类型
  /* 点巡检模块 */
  CHECK_STANDARD_PARAM_TYPE: 'CHECK_STANDARD_PARAM_TYPE', // 标准参数类型
  CHECK_STANDARD_TYPE: 'CHECK_STANDARD_TYPE', // 检查类型
  CHECK_USER_TYPE: 'CHECK_USER_TYPE', // 负责人选择方式
  CHECK_PLAN_PERIOD_TYPE: 'CHECK_PLAN_PERIOD_TYPE', // 计划周期类型
  CHECK_PLAN_ACTION_TYPE: 'CHECK_PLAN_ACTION_TYPE', // 计划动作类型
  CHECK_PLAN_LEVEL: 'CHECK_PLAN_LEVEL', // 等级1：现场，2，维修，3厂家
  CHECK_JOB_STATUS: 'CHECK_JOB_STATUS', // 任务状态,
  SPARE_PART_USED_SOURCE: 'SPARE_PART_USED_SOURCE', // 1 维修 2 保养
  REMOTE_MEASURE: 'REMOTE_MEASURE', // 设备遥测
  REMOTE_DEGREE: 'REMOTE_DEGREE', // 设备电度
  REMOTE_OPC: 'REMOTE_OPC', // OPC
  REMOTE_OPC_IMG_POSITION: 'REMOTE_OPC_IMG_POSITION', // 图片方向
  REMOTE_POSITION_TYPE: 'REMOTE_POSITION_TYPE', // 位置类型,
  FILL_GATHER_TASK_STATUS: 'FILL_GATHER_TASK_STATUS', // 巡检任务状态
  FILL_UPDATE_TYPE: 'FILL_UPDATE_TYPE', // 巡检操作类型
  /* 审批单 */
  ACTIVITI_FORM_STATUS: 'ACTIVITI_FORM_STATUS', // 申请单状态

  /* 保养润滑模块 */
  MAINTAIN_STANDARD_PARAM_TYPE: 'MAINTAIN_STANDARD_PARAM_TYPE', // 标准参数类型
  MAINTAIN_STANDARD_TYPE: 'MAINTAIN_STANDARD_TYPE', // 检查类型
  MAINTAIN_PLAN_PERIOD_TYPE: 'MAINTAIN_PLAN_PERIOD_TYPE', // 计划周期类型
  MAINTAIN_JOB_STATUS: 'MAINTAIN_JOB_STATUS', // 任务状态,
  MAINTAIN_JOB_SB_STATUS: 'MAINTAIN_JOB_SB_STATUS', // 设备状体,
  WORK_PLAN_TYPE: 'WORK_PLAN_TYPE', // 计划类别
  REPAIRE_ACTION: 'REPAIRE_ACTION',
  SB_MODEL_RECOMMEND: 'SB_MODEL_RECOMMEND',
  WORKPLACE_BACKLOG_TYPE: 'WORKPLACE_BACKLOG_TYPE',
  WORKPLACE_BACKLOG_DETAIL_TYPE: 'WORKPLACE_BACKLOG_DETAIL_TYPE',
  FILL_PROJECT_QUANTITY_UNIT: 'FILL_PROJECT_QUANTITY_UNIT',
  /**
   * xc新增
  */
  SPARE_USR_TYPE: 'PRODUCER_TYPE', // 备件类型用途，备件，物资，工具
  /* 盘点模块 */
  STORE_CHECK_PLAN_STATUS: 'STORE_CHECK_PLAN_STATUS', // 计划状态,
  STORE_CHECK_JOB_STATUS: 'STORE_CHECK_JOB_STATUS', // 任务状态,
  SB_TRANS_FORM_TYPE: 'SB_TRANS_FORM_TYPE', // 变动类型
  WHETHER: {
    0: '否',
    1: '是'
  },

  /**
   * 调拨类型
   */
  SB_ALLOCATE_APPLY_TYPE: 'SB_ALLOCATE_APPLY_TYPE',

  /**
   * 调拨类型
   */
  SB_ALLOCATE_APPLY_STATUS: 'SB_ALLOCATE_APPLY_STATUS',

  /**
   * 调拨任务状态
   */
  SB_ALLOCATE_TASK_STATUS: 'SB_ALLOCATE_TASK_STATUS',

  /**
   * 申请加油状态
   */
  SB_OIL_STATUS: 'SB_OIL_STATUS',

  /**
   * 加油申请审批类型
   */
  SB_OIL_AUDIT_TYPE: 'SB_OIL_AUDIT_TYPE',

  /**
   * 部门数据词典
   */
  SYS_DEPT_CODE: 'SYS_DEPT_CODE',

  /**
   * 部门性质
   */
  SYS_DEPT_NATURE: 'SYS_DEPT_NATURE',

  /**
   * 用户身份
   */
  SYS_USER_IDENTITY_TYPE: 'SYS_USER_IDENTITY_TYPE',

  /**
   * 用户身份
   */
  SYS_USER_JOB_TYPE: 'SYS_USER_JOB_TYPE',

  /**
   * 用户国家
   */
  SYS_USER_COUNTRY: 'SYS_USER_COUNTRY',

  /**
   * 使用类型
   */
  FILL_INFO_USE_TYPE: 'FILL_INFO_USE_TYPE',

  /**
   * 唯一标识，绑定执行使用
   */
  FILL_GATHER_CODE_ID: 'FILL_GATHER_CODE_ID',

  /**
   * 类型：1.int值，2.decimal值，3.范围值，4.结果描述
   */
  FILL_INFO_TYPE: 'FILL_INFO_TYPE',

  /**
   *性质：1.施工信息，2.车辆运行检查，3.运行项目
   */
  FILL_INFO_NATURE: 'FILL_INFO_NATURE',

  /**
   * 标识
   */
  FILL_INFO_CODE_VALUE: 'FILL_INFO_CODE_VALUE',

  /**
   * 供应商
   */
  SUPPLIER_SUPPLY_TYPE: 'SUPPLIER_SUPPLY_TYPE',
  SUPPLIER_TYPE: 'SUPPLIER_TYPE',
  SUPPLIER_STATUS: 'SUPPLIER_STATUS',
  SUPPLIER_NATURE: 'SUPPLIER_NATURE',
  PURCHASE_TYPE: 'PURCHASE_TYPE',
  PROJECT_UNIT: 'PROJECT_UNIT',
  CONTRACT_PROJECT_UNIT: 'CONTRACT_PROJECT_UNIT',
  REPORT_RANK: 'REPORT_RANK',
  PLAN_PERIOD_TYPE: 'PERIOD_TYPE',
  PURCHASE_PERIOD_TYPE: 'PURCHASE_PERIOD_TYPE',
  PURCHASE_PLAN_STATUS: 'PURCHASE_PLAN_STATUS',
  PURCHASE_DEMAND_PLAN_STATUS: 'PURCHASE_DEMAND_PLAN_STATUS',
  PURCHASE_AUDIT_NODE: 'PURCHASE_AUDIT_NODE',
  PURCHASE_APPLY_AUDIT_NODE: 'PURCHASE_APPLY_AUDIT_NODE',
  SUPPLIER_AUDIT_NODE: 'SUPPLIER_AUDIT_NODE',
  PURCHASE_APPLY_STATUS: 'PURCHASE_APPLY_STATUS',
  PURCHASE_ORDER_STATUS: 'PURCHASE_ORDER_STATUS',
  PURCHASE_CONTRACT_STATUS: 'PURCHASE_CONTRACT_STATUS',
  PAY_ITEM: 'PAY_ITEM',
  REIMBURSE_ITEM: 'REIMBURSE_ITEM',
  PURCHASE_DISPATCH_STATUS: 'PURCHASE_DISPATCH_STATUS',
  DISPATCH_TYPE: 'DISPATCH_TYPE',
  MONEY_TYPE: 'MONEY_TYPE',
  PURCHASE_CONTRACT_PAY_PERIOD: 'PURCHASE_CONTRACT_PAY_PERIOD',
  PURCHASE_DISPATCH_FEE_TYPE: 'PURCHASE_DISPATCH_FEE_TYPE',
  PURCHASE_DIFF_TYPE: 'PURCHASE_DIFF_TYPE',
  PURCHASE_APPLY_TYPE: 'PURCHASE_TYPE',
  PURCHASE_PAY_TYPE: 'PURCHASE_PAY_TYPE',
  PURCHASE_INVOICE_TYPE: 'PURCHASE_INVOICE_TYPE',
  PURCHASE_STORE_PLACE: 'PURCHASE_STORE_PLACE',
  GROUP_INFO: 'GROUP_INFO',
  _AUDIT_MONEY: '_AUDIT_MONEY',
  CUSTOMIZE_REPORT_ECHART_TYPE: 'CUSTOMIZE_REPORT_ECHART_TYPE',
  CUSTOMIZE_REPORT_INTER_TYPE: 'CUSTOMIZE_REPORT_INTER_TYPE',
  CUSTOM_FIELD_TEMPLATE_TYPE: 'CUSTOM_FIELD_TEMPLATE_TYPE',
  CUSTOM_FIELD_TEMPLATE_FILED_TYPE: 'CUSTOM_FIELD_TEMPLATE_FILED_TYPE',
  PARAMETER_TYPE: 'PARAMETER_TYPE',
  REPAIR_HOLIDAY: 'REPAIR_HOLIDAY', // 节假日列表
  // 筹建
  LONG_YAN_PURCHASE_ORDER_PLAN_TYPE: 'LONG_YAN_PURCHASE_ORDER_PLAN_TYPE',
  PREPARATION_PARENT: 'PREPARATION_PARENT',
  PREPARATION_NODE: 'PREPARATION_NODE', // 节点
  // 隐患管理
  PROFESSOR_TYPE: 'PROFESSOR_TYPE',
  CHECK_LEVEL: 'CHECK_LEVEL',
  HIDDEN_DANGER_STATUS: 'HIDDEN_DANGER_STATUS',
  SB_CHANGE_LOG_TYPE: 'SB_CHANGE_LOG_TYPE',
  CHECK_TYPE: 'CHECK_TYPE', // 强检,
  PROJECT_NEW_AND_OLD: 'PROJECT_NEW_AND_OLD', // 厂区
  LONG_YAN_PURCHASE_TYPE: 'LONG_YAN_PURCHASE_TYPE',
  // 物料
  PLAN_DEFAULT: 'PLAN_DEFAULT', // 计划默认属性
  DRAW_TYPE: 'DRAW_TYPE', // 领料方式
  SUPPLY_TYPE: 'SUPPLY_TYPE', // 供应类型
  YONG_YOU_DEPT: 'YONG_YOU_DEPT', // 部门
  YONG_YOU_DEPT_NEW: 'YONG_YOU_DEPT_NEW',
  LONG_YAN_PURCHASE_BUSINESS_TYPE: 'LONG_YAN_PURCHASE_BUSINESS_TYPE', // 业务类型
  LONG_YAN_PURCHASE_ORDER_STATUS: 'LONG_YAN_PURCHASE_ORDER_STATUS', // 采购单状态
  GROUP_TYPE: 'GROUP_TYPE', // 计量单位组类别
  SPARE_ADD_UNIT: 'SPARE_ADD_UNIT', // 计量单位
  CSR_POLICY: 'CSR_POLICY', // 供需政策
  PLAN_METHOD: 'PLAN_METHOD', // 计划方法
  ADD_SPARE_STATUS: 'ADD_SPARE_STATUS', // 存货推送状态
  SO_TYPE: 'SO_TYPE', // 需求跟踪方式,
  LONG_YAN_PURCHASE_DETAIL_STATUS: 'LONG_YAN_PURCHASE_DETAIL_STATUS',
  // 资产闲置
  SB_UNUSED_STATUS: 'SB_UNUSED_STATUS'

}
DictCache.CODE = {

}

DictCache.VALUE = {
  /**
   * 是否删除
   */
  DELFLAG: {
    NORMAL: 0, // 正常
    DELETED: 1 // 已删除
  },

  /**
   * 是否删除
   */
  PURCHASE_FORM_STATUS: {
    CREATED: 0, // 已创建
    STASH: 4 // 封存
  },

  /**
   * 生产商
   */
  SBPRODUCER_LEVEL: {
    A: 1, // 一级
    B: 2, // 二级
    C: 3 // 三级
  },
  /**
   * 通知类型
   */
  WORKPLACE_BACKLOG_TYPE: {
    SPARE_PICK: 1,
    REPAIR: 2,
    JOB: 3,
    SB_ALLOCATE: 4,
    SB_OIL: 5,
    SB_SCRAP: 16,
    PREPARATION_REPAIR: 8,
    /**
     * 采购总需求计划审批提醒
     */
    BACK_PURCHASE_AUDIT: 7
  },
  /**
   * 维修模式
   */
  REPAIR_MODEL_TYPE: {
    BASE_MODEL: '1',
    DISPATCH: '2'
  },

  /**
   * 自定义模板之设备备注
   */
  CUSTOM_TEMPLATE_SB_REMARK: {
    SB_SCRAP_FORM: 'sb_info_scrap',
    SB_ALLOCATE_FORM: 'sb_info_allocate',
    SB_STOP_FORM: 'sb_info_stop',
    OUT_STORE_BACK: 'out_store_back'
  },
  SB_INFO_AUDIT_MODEL_NAME: {
    'sb_info_scrap': '设备报废审批', // 报废
    'sb_info_stop': '设备停用审批', // 停用
    'sb_info_allocate': '设备调拨审批', // 调拨
    'out_store_back': '仓库审批' // 调拨
  },
  CUSTOM_TEMPLATE_SB_REMARK_NUMBER: {
    SB_FIELD_TYPE: 1,
    SPARE_FIELD_TYPE: 2,
    ACTIVITY_FORM: 3
  },

  /**
   * 明细类型
   */
  WORKPLACE_BACKLOG_DETAIL_TYPE: {
    SPARE_PICK: 1,
    REPAIR_APPLICATION: 2,
    REPAIR_FINISH: 3,
    REPAIR_DISPATCH: 4,
    REPAIR_BACK: 5,
    REPAIR_OK: 6,
    REPAIR_OK_7: 7,
    CHECK_BAOYANG_EXPIRE: 8,
    SB_ALLOCATE_AUDIT_TASK: 9,
    SB_ALLOCATE_APPLY_RESULT: 10,
    SB_OIL_AUDIT_TASK: 11,
    SB_OIL_OIL: 12,
    SB_OIL_AUDIT_RESULT: 13,
    SB_OIL_OIL_CONFIRM: 14,
    SB_SCRAP: 16,
    SB_SCRAP_RESULT: 161,
    REPAIR_RECEIVE: 23,
    /**
     * 采购总需求计划审批提醒
     */
    BACK_PURCHASE_DEMAND_PLAN_AUDIT: 100,
    /**
     * 采购总需求计划审批结束提醒
     */
    BACK_PURCHASE_DEMAND_PLAN_AUDIT_RESULT: 101,
    /**
     * 采购总需求计划增补审批提醒
     */
    BACK_PURCHASE_DEMAND_PLAN_ADD_AUDIT: 102,
    /**
     * 采购总需求计划增补审批结束提醒
     */
    BACK_PURCHASE_DEMAND_PLAN_ADD_AUDIT_RESULT: 103,
    /**
     * 采购计划审批提醒
     */
    BACK_PURCHASE_PLAN_AUDIT: 104,
    /**
     * 采购计划审批结束提醒
     */
    BACK_PURCHASE_PLAN_AUDIT_RESULT: 105,
    /**
     * 采购申请审批提醒
     */
    BACK_PURCHASE_APPLY_AUDIT: 106,
    /**
     * 采购申请审批结束提醒
     */
    BACK_PURCHASE_APPLY_AUDIT_RESULT: 107,
    /**
     * 采购单分发
     */
    BACK_PURCHASE_ORDER_ASSIGN: 108,
    /**
     * 发运单发运
     */
    BACK_PURCHASE_DISPATCH_ASSIGN: 109,
    /**
     * 入库验收通过提醒
     */
    BACK_PURCHASE_STORE_CHECK: 110,
    /**
     * 入库验收数量异常通过提醒
     */
    BACK_PURCHASE_STORE_CHECK_QUANTITY_EXCEPTION: 111,
    /**
     * 供应商审批提醒
     */
    BACK_SUPPLIER_AUDIT: 112,
    /**
     * 供应商审批结束提醒
     */
    BACK_SUPPLIER_AUDIT_RESULT: 113,

    BACK_ENQUIRY_AUDIT: 114,
    BACK_ENQUIRY_AUDIT_RESULT: 115
  },

  /**
   * 设备类型/部位類型/备件类型
   */
  SBTYPE_TYPE: {
    BIG: 1, // 大类
    SON: 2 // 子类
  },

  WORKPLACE_TYPE: {
    WORKPLACE_REPAIR_NORMAL: 'workplace-repair-normal', // 维修普通角色
    WORKPLACE_REPAIR_MANAGE: 'workplace-repair-manage' // 维修管理员
  },
  /**
   * 位置类型
   */
  SBPOSITION_TYPE: {
    YUANQU: 1, // 厂区
    SHENGCHANXIAN: 2, // 车间
    LOUCENG: 3, // 楼层
    LINE: 4, // 生产线
    FANGWEN: 5 // 位号
  },
  /**
   * 折旧方式
   */
  SBINFO_DEPRECIATIONTYPE: {
    AVERAGE_YEAR: 1, // 平均年限方法
    WORK_COUNT: 2, // 工作量法
    DOUBLE_BALANCE: 3, // 双倍余额递减法
    YEAR_AMOUNT: 4, // 年数总额法
    NO: 0 // 不折旧
  },
  /**
   * 设备等级
   */
  SBINFO_LEVEL: {
    A: 1, // 一级
    B: 2, // 二级
    C: 3 // 三级
  },
  /**
   * 备件等级
   */
  SPARE_PART_INFO_LEVEL: {
    A: 1, // 一级
    B: 2, // 二级
    C: 3 // 三级
  },
  /**
   * 设备来源方式
   */
  SBTYPE_SOURCETYPE: {
    BUY: 1,
    DISMANTLE: 2,
    COMBINED: 3,
    REPLACED: 4,
    BORROW: 5
  },

  /**
   * 调拨状态
   * APPLY(1, "申请中"),
   AUDIT(2, "审批中"),
   AUDIT_LOSE(3, "审批不通过"),
   AUDIT_PASS(4, "审批通过"),
   */
  SB_ALLOCATE_APPLY_STATUS: {
    APPLY: 1,
    AUDIT: 2,
    AUDIT_LOSE: 3,
    AUDIT_PASS: 4
  },

  /**
   APPLY(1, "已申请"),
   AUDIT_WAIT(2, "待处理"),
   AUDIT(3, "未处理"), // 还没轮到他处理
   AUDIT_PASS(4, "已同意"),
   AUDIT_LOSE(5, "未同意"),
   AUDIT_END(6, "已结束"),
   */
  SB_ALLOCATE_TASK_STATUS: {
    APPLY: 1,
    AUDIT_WAIT: 2,
    AUDIT: 3,
    AUDIT_PASS: 4,
    AUDIT_LOSE: 5,
    AUDIT_END: 6
  },

  /**
   SB_ZG(1, "表示组织架构设备主管"),
   XMB_SB_ZG(2, "表示项目部设备主管"),
   FGS_SB_ZG(4, "表示分公司设备主管"),
   FGS_SB_FG_LD(5, "表示分公司设备分管领导"),
   JT_SB_ZG(6, "表示集团/区域总设备主管"),
   JT_SB_FG_LD(7, "表示集团/区域总分管领导"),
   USER(15, "表示个人"),
   */
  SB_ALLOCATE_TASK_AUDIT_TYPE: {
    SB_ZG: 1,
    XMB_SB_ZG: 2,
    FGS_SB_ZG: 4,
    FGS_SB_FG_LD: 5,
    JT_SB_ZG: 6,
    JT_SB_FG_LD: 7,
    USER: 15
  },

  /**
   * 调拨类型
   *  PROJECT(1, "项目内调拨"),
   TO_PROJECT(2, "组到项目部-暂时没用了，与PROJECT合并了"),
   PROJECT_TO_PROJECT(3, "项目部到项目部"),
   PROJECT_COMPANY(4,"项目部到分公司"),
   COMPANY_COMPANY(5,"分公司到分公司"),
   COMPANY_PROJECT(6,"分公司到项目部"),
   */
  SB_ALLOCATE_APPLY_TYPE: {
    PROJECT: 1,
    TO_PROJECT: 2,
    PROJECT_TO_PROJECT: 3,
    PROJECT_COMPANY: 4,
    COMPANY_COMPANY: 5,
    COMPANY_PROJECT: 6
  },

  /**
   * 加油申请状态
   */
  SB_OIL_STATUS: {
    APPLY: 1, // 申请中
    REJECT: 2, // 撤销
    AGREE: 3, // 已同意
    NOT_AGREE: 5, // 驳回
    OIL: 6, // 已加油
    CONFIRM: 7 // 已确认
  },

  /**
   * 加油申请审批类型
   */
  SB_OIL_AUDIT_TYPE: {
    SYSTEM: 1, // 系统
    USER: 2 // 手动
  },

  SB_USE_TYPE: {
    OTHER: 3, // 一般性生产设备
    BGCL: 4, // 	计量设备
    TZSB: 5// 特种设备及附件
  },
  SB_LINE: {
    FIRST: 1, // 一般性生产设备
    SECOND: 2, // 	计量设备
    THIRD: 3, // 特种设备及附件
    FOUR: 4, // 	计量设备
    FIVE: 5, // 特种设备及附件
    SIX: 6 // 	计量设备
  },
  SB_IS_CHILD: {
    IS_CHILD: '1', // 子设备
    IS_PARENT: '2', // 父设备
    IS_NORMAL: '3' // 普通设备
  },
  SB_IS_SHOW: {
    NOT_SHOW: '0', // 不显示
    IS_SHOWING: '1' // 显示
  },
  SB_IS_FINANCING: {
    NOT: '0', // 否，不是固定资产
    YES: '1' // 是
  },
  /**
   * 设备状态
   */
  SB_INFO_STATUS: {
    IN_STORE: 1, // 在库
    IN_USE: 2, // 使用中
    IN_SCRAP: 3, // 报废中
    SCRAPED: 4, // 已报废
    REFUSE_SCRAPED: 41, // 报废拒绝
    IN_REPLACEMENT: 5, // 置换中
    REPLACEMENTED: 6, // 已置换
    IN_STOP: 7, // 停用中
    IN_MAINTAIN: 8, // 维修中
    IN_DIAOBO: 9
  },
  /**
   * 计量单位
   */
  SBINFO_UNIT: {
    JIAN: 1, // 件
    TAI: 2, // 台
    TIAO: 3, // 条
    GE: 4 // 个
  },
  /**
   * 部位等級
   */
  PART_LEVEL: {
    A: 1, // 一级
    B: 2, // 二级
    C: 3 // 三级
  },
  /**
   * 部位状态
   */
  PART_STATUS: {
    IN_USE: 1, // 正在使用
    OUT_OF_DATE: 2 // 已过期
  },
  /**
   * 备件状态
   */
  SPARE_PART_USED_STATUS: {
    IN_USE: 1, // 使用中
    REPLACEMENTED: 2, // 已废弃
    RECOVERY: 3 // 已回收
  },
  /**
   * 周期类型
   */
  PERIOD_TYPE: {
    DAY: 1, // 日
    WEEK: 2, // 周
    MONTH: 3, // 月
    SEASON: 4, // 季度
    HALF_YEAR: 5 // 半年
  },
  /**
   * 危险等级
   */
  DANGER_LEVEL: {
    A: 1, // 一级
    B: 2, // 二级
    C: 3 // 三级
  },
  /**
   * 计划类别
   */
  CHECK_PLAN_TYPE: {
    INSPECTOR: 1, // 巡检
    SPOT_CHECK: 2, // 点检
    SPECIAL_NURSE: 3 // 特护
  },
  /**
   * 计划类别
   */
  WORK_PLAN_TYPE: {
    INSPECTOR: 1, // 倒闸
    SPOT_CHECK: 2, // 变电站事故应急抢修
    SPECIAL_NURSE: 3 // 电力线路事故应急抢修单
  },
  /**
   * 任务状态
   */
  JOB_STATUS: {
    UN_ALLOCATED: 1, // 待分配
    IN_PROCESS: 2, // 进行中
    FINISHED: 3, // 已完成
    TIMEOUT: 4 // 超时
  },
  /**
   * 操作对象类型
   */
  OPERATE_OBJECT_TYPE: {
    SB: 1, // 设备
    PART: 2 // 部位
  },
  /**
   * 仓库位置类型
   */
  STORE_TYPE: {
    YOUKU: 1, // 园区
    SHENGCHANXIAN: 2 // 生产线
  },
  /**
   * 仓库等级枚举类
   */
  STORE_LEVEL: {
    ZONGCANG: 1, // 立体库
    FENCANG: 2 // 库位
  },
  /**
   * 入库类型
   */
  IN_STORE_FORM_TYPE: {
    CAIGOU_RUKU: 1, // 采购入库
    LINGYONG_RUKU: 2, // 领用入库
    CHAIJIE_RUKU: 3 // 拆解入库
  },
  /**
   * 出库类型
   */
  OUT_STORE_FORM_TYPE: {
    CHUKU_LINGYONG: 201, // 领用出库
    CHUKU_DIAOBO: 202, // 退货出库
    CHUKU_DIAOBORe: 203,
    CHUKU_YF: 204,
    CHUKU_BF: 205,
    CHUKU_FY: 206,
    CHUKU_PK: 207,
    CHUKU_XS: 208,
    CHUKU_YP: 209,
    CHUKU_SBGC: 210,
    CHUKU_FGLCL: 211,
    CHUKU_GLCL: 212,
    CHUKU_FXSCK: 213,
    CHUKU_QTXS: 214,
    CHUKU_WLQH: 215,
    CHUKU_QT: 216
  },
  /**
   * 领用类型
   */
  SPARE_PICK_FORM_TYPE: {
    MAINTAIN: 1, // 维修
    REPLACED: 2 // 到期更换
  },
  /**
   * 退货类型
   */
  SPARE_BACK_FORM_TYPE: {
    QUESTION: 1, // 质量问题
    XIANZHI: 2 // 闲置
  },

  /**
   * 退库类型
   */
  SPARE_RESTORE_FORM_TYPE: {
    XINAZHI: 1, // 闲置
    DUOLING: 2 // 多领
  },

  /**
   * 回收类型
   */
  SPARE_RECOVERY_FORM_TYPE: {
    EXPIRED: 1, // 已过期
    BROKEN: 2 // 已损坏
  },

  /**
   * 退库单状态
   */
  SPARE_RESTORE_FORM_STATUS: {
    APPROVAL_PENDING: 1, // 待审批D
    APPROVE: 2 // 审批通过
  },
  /**
   * 回收单状态
   */
  SPARE_RECOVERY_FORM_STATUS: {
    APPROVAL_PENDING: 1, // 待审批D
    APPROVE: 2 // 审批通过
  },
  /**
   * 领用单状态
   */
  SPARE_PICK_FORM_STATUS: {
    NOT_EXECUTE: 1, // 未提交
    EXECUTING: 2, // 已提交
    FINISHED: 3 // 已出库
  },
  /**
   * 出库单状态
   */
  OUT_STORE_FORM_STATUS: {
    CREATED: 0, // 新建
    NOT_EXECUTE: 1, // 已提交审核
    EXECUTING: 2, // 主管审核通过
    PUSH_ERROR: 3, // 推送失败
    PUSH_OK: 4, // 推送成功
    FINISH: 5 // 已完成
  },
  /**
   * 入库单状态
   */
  IN_STORE_FORM_STATUS: {
    NOT_EXECUTE: 1, // 未入库
    EXECUTING: 2 // 已入库
  },
  /**
   * 退货单状态
   */
  SPARE_BACK_FORM_STATUS: {
    APPROVAL_PENDING: 1, // 待审批D
    APPROVE: 2 // 审批通过
  },
  /**
   * 报修来源
   */
  REPAIR_APPLICATION_FORM_SOURCE: {
    LUBRICATION: 2, // 维修人员
    SCENE: 1 // 使用人员
  },
  /**
   * 报修类别
   */
  REPAIR_APPLICATION_FORM_CATEGORY: {
    PLAN: 1, // 计划性
    PLAN_NOT: 2, // 非计划性
    OTHER: 3 // 其他
  },
  /**
   * 是否
   */
  YES_NO: {
    YES: 1, // 是
    NO: 0 // 否
  },
  /**
   * 紧急程度
   */
  REPAIR_APPLICATION_FORM_LEVEL: {
    A: 1, // 一级
    B: 2, // 二级
    C: 3 // 三级
  },

  /**
   * 报修状态
   */
  REPAIR_APPLICATION_FORM_STATUS: {
    NOT_ALLOCATED: 1, // 待接收
    PROCESSING: 2, // 维修中
    WAIT_SUBMIT: 3, // 待审核
    NOT_ACCEPTANCE: 4, // 审核中--生产
    REBACK: 5, // 已驳回
    FINISHED: 6, // 已完成
    REFUSED_REPAIR: 7, // 报修被拒
    REPAIR_FAIL: 8, // 维修上报
    RECEIVED: 9, // 	已接单
    HANG_UP: 10, // 维修挂起
    DISPATCH_REPAIR: 11, // 维修转派
    MM_DISPATCH: 12, // 主管派单
    MM_REPAIR_FAIL: 13, // 工程师报修
    MM_REPAIR_CLOSE: 14, // 工单关闭
    CALLER_REPAIR_VERIFYING_ONE: 15, // 报修一审中
    CALLER_REPAIR_VERIFY_FAIL_ONE: 16, // 计划报修一审被拒
    CALLER_REPAIR_VERIFYING_TWO: 17, //	计划报修二审中
    CALLER_REPAIR_VERIFY_FAIL_TWO: 18, // 计划报修二审被拒
    CALLER_REPAIR_VERIFYING_THREE: 19, // 计划报修三审中
    CALLER_REPAIR_VERIFY_FAIL_THREE: 20, // 	计划报修三审被拒
    BIG_REPAIR_VERIFYING: 21, // 大修审核中
    CALLER_REPAIR_VERIFY_SUCCESS_THREE: 22 // 计划维修报修成功
  },
  REPAIR_PREPARATION_STATUS: {
    NOT_ALLOCATED: 1, // 待主管审核
    APPLY_MANAGER_VERIFY_SUCCESS: 2, // 待申请部门负责人审核
    APPLY_MANAGER_VERIFY_BACK: 4, // 申请部门主管审核退回
    APPLY_LEADER_VERIFY_SUCCESS: 5, // 收件部处理中
    APPLY_LEADER_VERIFY_BACK: 7, // 申请部门负责人审核回退
    PROCESSING: 8, // 材料费用处理中
    RECEIVE_VERIFY_BACK: 10, // 收件负责人回退
    FIRST_PROCESSING_VERIFYING: 11, // 材料费用审核中
    FIRST_PROCESSING_VERIFY_BACK: 13, // 材料费用审核-回退
    SECOND_PROCESSING: 14, // 执行中
    SECOND_PROCESSING_VERIFYING: 15, // 验收中
    FINISHED: 16, // 已完成
    SECOND_PROCESSING_BACK: 17, //
    CLOSE: 18 // 审核拒绝

  },
  /**
   * 维修状态
   */
  REPAIR_FORM_STATUS: {
    NOT_DEAL: 1, // 待分配
    YES_DEAL: 2, // 已接收
    NOT_ACCEPTANCE: 3, // 待验收
    REBACK: 4, // 已驳回,
    FINISHED: 5 // 已完成
  },
  /**
   * 验收状态
   */
  REPAIR_CHECK_STATUS: {
    NOT_ACCEPTANCED: 1, // 待验收
    APPROVE: 2, // 通过
    REPAIR: 3 // 返修
  },
  /**
   * 费用类别
   */
  REPAIR_FEE_TYPE: {
    SB_FEE: 1, // 设备费用
    PART_FEE: 2 // 部位费用
  },
  /* 点巡检模块 */
  /**
   * 点检标准参数类型
   */
  CHECK_STANDARD_PARAM_TYPE: {
    TEXT: 1, // 文本
    NUMBER: 2 // 数字
  },
  /**
   * 检查类型
   */
  CHECK_STANDARD_TYPE: {
    SPOT: 1, // 点检
    POLLING: 2 // 保养
  },
  /**
   * 计划周期类型
   */
  CHECK_USER_TYPE: {
    USE_USER: 1, // 使用人
    REPAIR_USER: 2, // 维修人
    ZHIDING: 3, // 维修人
    FACTORY: 4 //
  },
  /**
   * 计划周期类型
   */
  CHECK_PLAN_PERIOD_TYPE: {
    DAY: 1, // 天
    WEEK: 2, // 周
    MONTH: 3, // 月
    SEASON: 4, // 季度
    YEAR: 5, // 年
    MILES: 6, // 里程
    HOURS: 7 // 台式
  },
  /**
   * 任务状态
   */
  CHECK_JOB_STATUS: {
    NOT_EXECUTE: 1, // 未执行
    EXECUTING: 2, // 执行中
    FINISHED: 3 // 已完成
  },

  /**
   * 任务状态
   */
  CHECK_PLAN_LEVEL: {
    A: 1,
    B: 2,
    C: 3
  },

  /* 保养润滑模块 */
  /**
   * 标准参数类型
   */
  MAINTAIN_STANDARD_PARAM_TYPE: {
    TEXT: 1, // 文本
    NUMBER: 2 // 数字
  },
  /**
   * 检查类型
   */
  MAINTAIN_STANDARD_TYPE: {
    SPOT: 1, // 保养
    POLLING: 2 // 润滑
  },
  /**
   * 计划周期类型
   */
  MAINTAIN_PLAN_PERIOD_TYPE: {
    DAY: 1, // 天
    WEEK: 2, // 周
    MONTH: 3, // 月
    SEASON: 4, // 季度
    YEAR: 5 // 年
  },
  /**
   * 任务状态
   */
  MAINTAIN_JOB_STATUS: {
    NOT_EXECUTE: 1, // 未执行
    EXECUTING: 2, // 执行中
    FINISHED: 3 // 已完成
  },
  /**
   * 点巡检任务设备状态
   */
  MAINTAIN_JOB_SB_STATUS: {
    'NORMAL': 1, // 正常
    'STOP': 2 // 停机

  },
  QUERY_ROLE_TYPE: {
    'IPQC': 1, // 巡检人
    'DIRCTOR': 2 // 巡检主管

  },
  SYS_DEPT_CODE: {
    DEFAULT: 'DEFAULT',
    XIAN_CHANG_WEI_XIU_ZU: 'XIAN_CHANG_WEI_XIU_ZU',
    CHANG_NEI_WEI_XIU_ZU: 'CHANG_NEI_WEI_XIU_ZU',
    CANG_KU: 'CANG_KU',
    ER_JI_XIANG_MU_BU: 'ER_JI_XIANG_MU_BU'
  },
  SYS_DEPT_NATURE: {
    DEFAULT: 'DEFAULT',
    XIANG_MU_BU: 'XIANG_MU_BU',
    JITUAN: 'JITUAN',
    FEN_GONG_SI: 'FEN_GONG_SI',
    BU_MEN: 'BU_MEN',
    BAN_ZU: 'BAN_ZU'
  },
  /**
   * 人员职务
   */
  SYS_USER_IDENTITY_TYPE: {

    GLY: 1, // 管理员
    PTYG: 2, // 普通员工
    CKGLY: 3, // 仓库管理员
    WXY: 4, // 维修员
    WXZG: 5, // 维修主管
    SB_ZG: 11, // 设备主管
    SB_GLY: 12, // 设备管理员
    XMB_SB_ZG: 13, // 项目部设备主管
    XMB_XMJL: 14, // 项目部项目经理

    CGY: 21, // 采购人员
    FHY: 22, // 发货人员
    SHY: 23, // 收货人员

    FGS_SB_ZG: 30, // 分公司设备主管
    FGS_SB_FG_LD: 31, // 分公司设备分管领导
    FGS_ZJL: 30, // 分公司总经理

    JT_SB_ZG: 40, // 集团/区域总设备主管
    JT_SB_FG_LD: 41 // 集团/区域总分管领导

  },
  WHETHER: {
    NO: 0,
    YES: 1
  },
  // 采购类别
  PURCHASE_TYPE: {
    PURCHASE_TYPE_SBL: 999,
    PURCHASE_TYPE_PJ: 4999
  },
  // 采购申请类型
  PURCHASE_APPLY_TYPE: {
    PURCHASE_APPLY_TYPE_GCWZ: 20,
    PURCHASE_APPLY_TYPE_LXWZ: 21,
    PURCHASE_APPLY_TYPE_SB: 10,
    PURCHASE_APPLY_TYPE_PJ: 30
  },
  // 类型：1.int值，2.decimal值，3.范围值，4.结果描述
  FILL_INFO_TYPE: {
    FILL_INFO_TYPE_INT: 1,
    FILL_INFO_TYPE_DECIMAL: 2,
    FILL_INFO_TYPE_FAN_WEI: 3,
    FILL_INFO_TYPE_STRING: 4,
    FILL_INFO_TYPE_XIA_LA: 5,
    FILL_INFO_TYPE_DAN_XUAN: 6,
    FILL_INFO_TYPE_PROJECT_QUANTITY: 7,
    FILL_INFO_TYPE_DATE_TIME: 8
  },
  // 标识：1.无，2.公里数，3.小时数
  FILL_INFO_CODE_VALUE: {
    FILL_INFO_CODE_VALUE_WU: 1,
    FILL_INFO_CODE_VALUE_GLS: 2,
    FILL_INFO_CODE_VALUE_SJS: 3
  },
  /**
   * 1.运行记录，2.巡检记录
   */
  FILL_INFO_USE_TYPE: {
    FILL_INFO_USE_TYPE_YUN_XING: 1,
    FILL_INFO_USE_TYPE_XUN_JIAN: 2
  },
  /**
   * 唯一标识，绑定执行使用
   */
  FILL_GATHER_CODE_ID: {
    FILL_GATHER_CODE_ID_GGSB: 1,
    FILL_GATHER_CODE_ID_PTCL: 2,
    FILL_GATHER_CODE_ID_TYSB: 3
  },

  // 备件类型用途
  SPARE_USE_TYPE: {
    BEIJIAN: 1,
    QITA: 2
  },
  // 采购明细状态
  PURCHASE_LIST_STATUS: {
    PURCHASE_LIST_STATUS_APPLY: 0,
    PURCHASE_LIST_STATUS_ORDER: 1,
    PURCHASE_LIST_STATUS_CONTRACT: 2
  },
  // 采购申请状态
  PURCHASE_APPLY_STATUS: {
    PURCHASE_APPLY_STATUS_DTJ: 1,
    PURCHASE_APPLY_STATUS_DSH: 2,
    PURCHASE_APPLY_STATUS_YSH: 3,
    PURCHASE_APPLY_STATUS_CGZ: 4,
    PURCHASE_APPLY_STATUS_YWC: 5,
    PURCHASE_APPLY_STATUS_SHBTG: 6
  },
  // 采购计划状态
  PURCHASE_PLAN_STATUS: {
    PURCHASE_PLAN_STATUS_DTJ: 1,
    PURCHASE_PLAN_STATUS_SHE: 2,
    PURCHASE_PLAN_STATUS_YWC: 3,
    PURCHASE_PLAN_STATUS_SPBTG: 4
  },
  // 采购总需求计划状态
  PURCHASE_DEMAND_PLAN_STATUS: {
    PURCHASE_DEMAND_PLAN_STATUS_DTJ: 1,
    PURCHASE_DEMAND_PLAN_STATUS_SHE: 2,
    PURCHASE_DEMAND_PLAN_STATUS_YWC: 3,
    PURCHASE_DEMAND_PLAN_STATUS_SPBTG: 4
  },
  // 采购发运状态
  PURCHASE_DISPATCH_STATUS: {
    PURCHASE_DISPATCH_STATUS_DFY: 1,
    PURCHASE_DISPATCH_STATUS_DZX: 2,
    PURCHASE_DISPATCH_STATUS_DDG: 3,
    PURCHASE_DISPATCH_STATUS_DRK: 4,
    PURCHASE_DISPATCH_STATUS_DRKYS: 5,
    PURCHASE_DISPATCH_STATUS_YWJ: 6
  },
  // 采购单状态
  PURCHASE_ORDER_STATUS: {
    PURCHASE_ORDER_STATUS_DXJ: 10,
    PURCHASE_ORDER_STATUS_DXJQR: 11,
    PURCHASE_ORDER_STATUS_CGQR: 12,
    PURCHASE_ORDER_STATUS_DQHT: 20,
    PURCHASE_ORDER_STATUS_YQHT: 30,
    PURCHASE_ORDER_STATUS_YFK: 40,
    PURCHASE_ORDER_STATUS_FYZ: 50,
    PURCHASE_ORDER_STATUS_BFFH: 52,
    PURCHASE_ORDER_STATUS_DRK: 56,
    PURCHASE_ORDER_STATUS_DRKYS: 57,
    PURCHASE_ORDER_STATUS_YRK: 58,
    PURCHASE_ORDER_STATUS_YWJ: 60
  },
  // 发运费用类别
  PURCHASE_DISPATCH_FEE_TYPE: {
    PURCHASE_DISPATCH_FEE_TYPE_YF: 1,
    PURCHASE_DISPATCH_FEE_TYPE_BXF: 2,
    PURCHASE_DISPATCH_FEE_TYPE_YZF: 3,
    PURCHASE_DISPATCH_FEE_TYPE_GS: 4,
    PURCHASE_DISPATCH_FEE_TYPE_QGS: 5,
    PURCHASE_DISPATCH_FEE_TYPE_GZF: 6,
    PURCHASE_DISPATCH_FEE_TYPE_ECZYF: 7
  },
  // 呈报级别
  REPORT_RANK: {
    REPORT_RANK_XMB: 10,
    REPORT_RANK_FGS: 20,
    REPORT_RANK_QYZB: 30,
    REPORT_RANK_JT: 40
  },
  /**
   * 人员角色
   */
  ROLE_CODE: {

    /**
     * 项目主管
     */
    PURCHASE_MANAGER_PROJECT: 'PURCHASE_MANAGER_PROJECT',
    /**
     * 项目经理
     */
    PURCHASE_MANAGER_PROJECT_MANAGER: 'PURCHASE_MANAGER_PROJECT_MANAGER',
    /**
     * 分公司主管
     */
    PURCHASE_MANAGER_COMPANY: 'PURCHASE_MANAGER_COMPANY',
    /**
     * 区域主管
     */
    PURCHASE_MANAGER_REGION: 'PURCHASE_MANAGER_REGION',
    /**
     * 集团主管
     */
    PURCHASE_MANAGER_GROUP: 'PURCHASE_MANAGER_GROUP',
    /**
     * 招采部
     */
    PURCHASE_DEPT_LEADER: 'PURCHASE_DEPT_LEADER',
    /**
     * 国外工程部
     */
    OVERSEA_TECH_DEPT_LEADER: 'OVERSEA_TECH_DEPT_LEADER',
    /**
     * 风控部
     */
    RISK_MANAGE_DEPT_LEADER: 'RISK_MANAGE_DEPT_LEADER',
    /**
     * 集团领导
     */
    GROUP_TECH_LEADER: 'GROUP_TECH_LEADER',
    XMB_CGY: 'XMB_CGY',
    XMB_FHY: 'XMB_FHY',
    XMB_SHY: 'XMB_SHY',
    /**
     * 项目部仓库管理员
     */
    XMB_CKGLY: 'XMB_CKGLY',
    /**
     * 项目部设备主管
     */
    XMB_SBZG: 'XMB_SBZG',
    /**
     * 项目部经理
     */
    XMB_XMJL: 'XMB_XMJL',
    /**
     * 分公司设备主管
     */
    FGS_SBZG: 'FGS_SBZG',
    /**
     * 分公司设备分管领导
     */
    FGS_SBFGLD: 'FGS_SBFGLD',
    FGS_CGY: 'FGS_CGY',
    FGS_FHY: 'FGS_FHY',
    FGS_SHY: 'FGS_SHY',
    /**
     * 区域设备主管
     */
    QYZB_SBZG: 'QYZB_SBZG',
    /**
     * 区域总部分管领导
     */
    QYZB_FGLD: 'QYZB_FGLD',
    /**
     * 区域总部总经理
     */
    QYZB_ZJL: 'QYZB_ZJL',
    QYZB_CGY: 'QYZB_CGY',
    QYZB_FHY: 'QYZB_FHY',
    QYZB_SHY: 'QYZB_SHY',
    /**
     * 集团设备主管
     */
    JT_SBZG: 'JT_SBZG',
    /**
     * 集团分管副总经理
     */
    JT_SFGZJL: 'JT_SFGZJL',
    /**
     * 集团总经
     */
    JT_ZJL: 'JT_ZJL',
    /**
     * 董事长
     */
    JT_DSZ: 'JT_DSZ',
    JT_CGY: 'JT_CGY',
    JT_FHY: 'JT_FHY',
    JT_SHY: 'JT_SHY'

  },
  /**
   * 币种
   */
  MONEY_TYPE: {
    RMB: 1,
    MY: 2
  },
  PURCHASE_STORE_PLACE: {
    PURCHASE_STORE_PLACE_CQEG: 2 // 集团办公室
  }
}
/**
 * 'success', 'processing, 'default', 'error', 'warning'
 * @type {{LIQUIDATE_TASK_STATUS: {'1': string, '3': string}}}
 */
DictCache.COLOR = {
  // 维修进度
  REPAIR_STATUS: {
    1: '报修审核通过',
    2: '维修开始',
    3: '维修结束',
    4: '审核开始',
    5: '审核驳回',
    6: '维修完成',
    7: '报修驳回',
    8: '维修上报',
    9: '已接单',
    10: '维修挂起',
    11: '维修转派',
    12: '主管派单',
    13: '计划报修',
    14: '关闭工单',
    15: '计划报修一审',
    16: '一审被拒',
    17: '计划报修二审',
    18: '二审被拒',
    19: '计划报修三审',
    20: '三审被拒',
    21: '大修审核中',
    22: '计划性维修报修成功',
    23: '报修撤回',
    24: '报修',
    25: '报修待审'
  },
  WHETHER: {
    0: 'error',
    1: 'success'
  },
  DELFLAG: {
    1: 'success',
    2: 'error'
  },
  PART_STATUS: {
    1: 'success', // 正在使用
    2: 'error' // 已过期
  },
  /**
   * 设备状态
   */
  SPARE_WARN_STATUS: {
    1: 'error', // 在库
    2: 'warning', // 使用中
    3: 'gray', // 报废中
    0: 'success' // 已报废
  },
  /**
   * 设备状态
   */
  SB_INFO_STATUS: {
    1: 'default', // 在库
    2: 'success', // 使用中
    3: 'default', // 报废中
    4: 'default', // 已报废
    5: 'warning', // 置换中
    6: 'default', // 已置换
    7: 'error', // 停用中
    8: 'error' // 维修中
  },
  /**
   * 计量设备状态
   */
  SB_MEASURE_STATUS: {
    1: 'error', // 需要检定了
    0: 'success' // 正常
  },
  /**
   * 改进措施状态
   */
  REPAIR_REASON_STATUS: {
    1: 'processing', // 处理中
    2: 'success' // 已完成
  },
  /**
   * 备件状态
   */
  SPARE_PART_USED_STATUS: {
    1: 'success', // 使用中
    2: 'warning', // 已更换
    3: 'error' // 已回收
  },
  /**
   * 危险等级
   */
  DANGER_LEVEL: {
    1: 'error', // 一级
    2: 'warning', // 二级
    3: 'default' // 三级
  },
  /**
   * 任务状态
   */
  JOB_STATUS: {
    1: 'warning', // 待分配
    2: 'processing', // 进行中
    3: 'success', // 已完成
    4: 'error' // 超时
  },
  /**
   * 设备状态
   */
  PURCHASE_FORM_STATUS: {
    0: 'default', // 已创建
    1: 'processing', // 采购中
    2: 'processing', // 入库中
    3: 'success', // 已完成
    4: 'warning', // 封存
    5: 'error' // 入库失败
  },
  /**
   * 领用单状态
   */
  SPARE_PICK_FORM_STATUS: {
    1: 'processing', // 待审批
    2: 'success', // 审批通过
    3: 'error'// 审批通过
  },
  /**
   * 入库单状态
   */
  IN_STORE_FORM_STATUS: {
    1: 'processing', // 待审批
    2: 'success' // 审批通过
  },
  /**
   * 出库单状态
   */
  OUT_STORE_FORM_STATUS: {
    0: 'default', // 新建
    1: 'warning', // 待审核
    2: 'processing', // 待出库
    3: 'error', // 推送失败
    4: 'success', // 推送成功
    5: 'processing' // 已完成
  },
  /**
   * 退货单状态
   */
  SPARE_BACK_FORM_STATUS: {
    1: 'processing', // 待审批
    2: 'success' // 审批通过
  },
  /**
   * 回收单状态
   */
  SPARE_RECOVERY_FORM_STATUS: {
    1: 'processing', // 待审批
    2: 'success' // 审批通过
  },
  /**
   * 退库单状态
   */
  SPARE_RESTORE_FORM_STATUS: {
    1: 'processing', // 待审批
    2: 'success' // 审批通过
  },
  /**
   * 紧急程度
   */
  REPAIR_APPLICATION_FORM_LEVEL: {
    1: 'error', // 一级
    2: 'warning', // 二级
    3: 'default' // 三级
  },
  /**
   * 采购单状态
   */
  LONG_YAN_PURCHASE_ORDER_STATUS: {
    1: 'default', // "草稿"
    2: 'warning', // "待推送"
    3: 'warning', // "已推送"
    4: 'warning', // "待审核"
    5: 'processing', // "已审核"
    6: 'processing', // "采购中"
    7: 'success', // "采购完成"
    8: 'error' // "推送失败"

  },
  LONG_YAN_PURCHASE_DETAIL_STATUS: {
    1: 'warning',
    2: 'warning',
    3: 'processing',
    4: 'processing',
    5: 'processing',
    6: 'success',
    7: 'warning',
    8: 'default',
    9: 'success',
    10: 'error'
  },
  /**
   * 报修状态
   */
  REPAIR_APPLICATION_FORM_STATUS: {
    1: 'warning', // 待接收
    2: 'processing', // 维修中
    3: 'yellow', // 待提交审核
    4: 'yellow', // 审核中
    5: 'error', // 已驳回
    6: 'success', // 已完成
    7: 'error', // 报修被拒
    8: 'processing', // 维修转派
    9: 'warning', // 维修转派
    10: 'error', // 维修转派
    11: 'processing', // 转派维修
    12: 'warning', // 	主管派单
    13: 'warning', // 	工程师报修
    14: 'processing', // 已关闭
    15: 'warning', // 计划报修一审
    16: 'error', // 计划报修一审被拒
    17: 'warning', // 计划报修二审中
    18: 'error', // 计划报修二审被拒
    19: 'warning', // 计划报修三审中
    20: 'error', // 计划报修三审被拒
    21: 'warning' // 	大修审核中

  },
  HIDDEN_DANGER_COMMON_STATUS: {
    1: 'processing', // 待接收
    2: 'processing', // 维修中
    3: 'processing', // 待提交审核
    4: 'processing' // 审核中
  },
  HIDDEN_DANGER_STATUS: {
    0: 'warning', // 待接收
    1: 'processing', // 维修中
    2: 'success' // 已完成
  },
  /**
   * 维修状态
   */
  REPAIR_FORM_STATUS: {
    1: 'warning', // 待审核
    2: 'warning',
    4: 'error', // 驳回
    5: 'warning',
    7: 'error', // 已完成
    8: 'processing',
    10: 'error',
    11: 'warning',
    13: 'error',
    14: 'processing',
    15: 'processing',
    16: 'success',
    17: 'error',
    18: 'default'
  },
  /**
   * 验收状态
   */
  REPAIR_CHECK_STATUS: {
    1: 'warning', // 待验收
    2: 'success', // 通过
    3: 'error' // 返修
  },
  /**
   * 文件模块
   */
  FILE_MODULE: {
    SBINFO_REPAIRFILE: 'SBINFO_REPAIRFILE', // 设备维保手册
    SBINFO_USEFILE: 'SBINFO_USEFILE', // 设备使用手册
    SBINFO_RECHECKFILE: 'SBINFO_RECHECKFILE', // 设备验收手册
    SBINFO_PICS: 'SBINFO_PICS' // 设备图片
  },
  /* 点巡检模块 */
  /**
   * 是否
   */
  YES_NO: {
    0: 'error', // 否
    1: 'success' // 是
  },
  /**
   * 点巡检任务状态
   */
  CHECK_JOB_STATUS: {
    1: 'warning', // 未执行
    2: 'processing', // 执行中
    3: 'success', // 已完成
    4: 'error'// 已过期
  },
  FILL_GATHER_TASK_STATUS: {
    0: 'warning', // 待接单
    1: 'processing', // 巡检中
    2: 'warning', // 巡检审核
    3: 'error', // 巡检超时
    4: 'warning', // 巡检延时
    5: 'warning', // 巡检暂停
    6: 'success', // 巡检完成
    7: 'error' // 审核拒绝
  },
  /**
   * 盘点计划状态
   */
  STORE_CHECK_PLAN_STATUS: {
    1: 'warning', // 未执行
    2: 'processing', // 执行中
    3: 'success', // 已完成
    4: 'error'// 已过期
  },
  /**
   * 盘点任务状态
   */
  STORE_CHECK_JOB_STATUS: {
    1: 'warning', // 未执行
    2: 'processing', // 执行中
    3: 'success', // 已完成
    4: 'error'// 已过期
  },

  /**
   * 供应商审批节点
   */
  SB_INFO_AUDIT_NODE: {
    0: 'default', // 开始
    20: 'warning', // 分公司设备主管
    30: 'warning', // 分公司财务主管
    40: 'processing', // 分公司分管领导
    100: 'success'// 完成
  },

  /* 保养润滑模块 */
  /**
   * 保养润滑设备状态
   */
  MAINTAIN_JOB_SB_STATUS: {
    1: 'success', // 正常
    2: 'error' // 停机
  },
  /**
   * 保养润滑任务状态
   */
  MAINTAIN_JOB_STATUS: {
    1: 'warning', // 未执行
    2: 'processing', // 执行中
    3: 'success', // 已完成
    4: 'error'// 已过期
  },
  /**
   * 供应商状态
   */
  SUPPLIER_STATUS: {
    0: 'default', // 待提交
    1: 'warning', // 待审核
    2: 'processing', // 已审核
    99: 'error', // 已打回
    3: 'success' // 合格
  },
  /**
   * 采购计划状态
   */
  PURCHASE_PLAN_STATUS: {
    1: 'default', // 待提交
    2: 'warning', // 审核中
    3: 'success', // 已完成,
    4: 'error' // 已完成
  },
  ADD_SPARE_STATUS: {
    1: 'default', // "待推送"
    2: 'success', // "已推送"
    3: 'error' // "推送失败"
  },
  /**
   * 采购计划状态
   */
  PURCHASE_DEMAND_PLAN_STATUS: {
    1: 'default', // 待提交
    2: 'warning', // 审核中
    3: 'success', // 已完成,
    4: 'error' // 已完成
  },
  /**
   * 采购审批节点
   */
  PURCHASE_AUDIT_NODE: {
    0: 'default', // 开始
    10: 'warning', // 项目主管
    11: 'warning', // 项目经理
    20: 'processing', // 分公司
    30: 'error', // 集团
    40: 'success' // 完成
  },
  /**
   * 供应商审批节点
   */
  SUPPLIER_AUDIT_NODE: {
    0: 'default', // 开始
    10: 'warning', // 项目主管
    20: 'warning', // 项目主管
    30: 'processing', // 分公司
    40: 'error', // 集团
    50: 'success' // 完成
  },
  /**
   * 采购申请状态
   */
  PURCHASE_APPLY_STATUS: {
    1: 'default', // 待提交
    2: 'warning', // 待审核
    3: 'processing', // 已审核
    4: 'error', // 采购中
    5: 'success' // 已完成
  },

  /**
   * 调拨状态
   * APPLY(1, "申请中"),
   AUDIT(2, "审批中"),
   AUDIT_LOSE(3, "审批不通过"),
   AUDIT_PASS(4, "审批通过"),
   */
  SB_ALLOCATE_APPLY_STATUS: {
    1: 'default',
    2: 'warning',
    3: 'success',
    4: 'error'
  },

  /**
   APPLY(1, "已申请"),
   AUDIT_WAIT(2, "待处理"),
   AUDIT(3, "未处理"), // 还没轮到他处理
   AUDIT_PASS(4, "已同意"),
   AUDIT_LOSE(5, "未同意"),
   AUDIT_END(6, "已结束"),
   */
  SB_ALLOCATE_TASK_STATUS: {
    1: 'default',
    2: 'warning',
    3: 'processing',
    4: 'success',
    5: 'error',
    6: 'default'
  },

  /**
   * 加油申请状态
   */
  SB_OIL_STATUS: {
    1: 'default', // 申请中
    2: 'warning', // 撤销
    3: 'warning', // 已同意
    5: 'processing', // 驳回
    6: 'error', // 已加油
    7: 'success' // 已确认
  },

  /**
   * 采购申请状态
   */
  PURCHASE_ORDER_STATUS: {
    10: 'default', // 待询价
    11: 'warning', // 待签合同
    12: 'warning', // 待签合同
    20: 'warning', // 已签合同
    30: 'processing', // 已付款
    40: 'error', // 发运中
    50: 'error', // 发运中
    56: 'error', // 发运中
    57: 'error', // 发运中
    58: 'error', // 发运中
    60: 'success' // 已完成
  },
  /**
   * 采购发运单状态
   */
  PURCHASE_DISPATCH_ORDER_STATUS: {
    1: 'default', // 待发运
    2: 'warning', // 待装箱
    3: 'processing', // 待到港
    4: 'error', // 待入库
    5: 'success' // 已完结
  },
  /**
   * 资产闲置
   */
  SB_UNUSED_STATUS: {
    1: 'processing', // 一审中
    2: 'processing', // 二审中
    3: 'success', // 审核通过
    4: 'error' // 审核被拒
  }
}
export default DictCache
